The Importance of Staying Current

IBM i (OS/400, i5/OS)
Typography
  • Smaller Small Medium Big Bigger
  • Default Helvetica Segoe Georgia Times

 

Carol discusses why and how staying up to date reduces your company’s security risk.

You might wonder why I decided to discuss this particular issue. I chose this topic because, as I read about how breaches occur—that is, how hackers are able to penetrate organizations—in many instances, it’s due to organizations not staying current.

Equipment remains with default credentials or is running an old operating system or is left unpatched—even when there are known vulnerabilities. Hackers will “drive by” or may go explicitly looking to exploit servers with known vulnerabilities.

That got me thinking about how this might apply to the IBM i world. While you might not be able to prevent hackers from attacking your organization, not staying current may leave you unable to respond to requests that require new technology or may leave you scrambling when something breaks and the resolution is not in the current operating system. Or you may simply not be taking advantage of some of the cool technologies IBM’s provided us. Let’s look at some examples.

Access Client Solutions (ACS): The Replacement for Client Access

Although IBM has been telling us for several years now that Client Access is not supported on Windows 10, many organizations have still made no plans for moving off Client Access for Windows and moving to Access Client Solutions. Some organizations are using Client Access on Windows 10 successfully. But I’ve only seen that work in the most basic cases. And even then, there’s nothing that says that a Microsoft patch won’t come out and break that functionality. What will happen then? You’ll be scrambling to deploy ACS. Better to start planning your ACS deployment now.

Continuing with the topic of ACS, if you haven’t kept up to date with the latest versions of ACS, you’ve missed that you can now use Application Administration to control some aspects of ACS as well as to take advantage of new database functions, enhancements to Run SQL Scripts, and other new functionality. To download ACS and obtain a high-level description of the enhancements for each version, click here.

Operating System

Whatever OS you’re running—be it IBM i, AIX, or some flavor of Linux—it’s wise to stay on the most current version. Why? Because it’s more likely you can meet your organization’s technology requirements if you’re on the most recent version. For example, we see many clients running IBM i V7R1. While IBM has not yet announced End of Life (EoL) for V7R1, I wish they would. The technology is so old, especially when it comes to implementing secure (encrypted) communications, that many organizations are having a difficult time implementing the stronger, more secure protocol—TLS1.2. In V7R1, Digital Certificate Manager (DCM) allows only one digital certificate to be assigned per server. Beginning in V7R2, multiple certificates can be assigned, making it easier to transition to and use the stronger protocols, yet allowing the weaker protocols as necessary while organizations with whom you’re communicating work on upgrading their own technology.

Besides making it difficult to implement the TLS1.2 protocol, you’re missing out on the auditing enhancements and the addition of Row and Column Access Control (RCAC) in V7R2 and even more auditing enhancements and the powerful Authority Collection feature, both added in V7R3.

Technology Refreshes (TRs)

Rather than packing all new enhancements into a traditional operating system release, IBM is now using Technology Refreshes to provide us with new functionality. The benefits of not having to wait for a release cycle to get new functionality is huge. But because they aren’t a full release, they don’t get quite the fanfare of a traditional release, so you should pay attention to publications such as this one to make sure you understand what (all) IBM has included in each TR. Click here to see what IBM has provided in each TR.

My favorite enhancements include the updates and enhancements to the views in QSYS2, especially the USER_INFO view, which now includes the list of supplemental groups, and AUTHORIZATION_LIST_INFO, which includes the list of objects secured by an authorization list.

Technology Refreshes are what make TLS 1.1 and TLS 1.2 enablement possible on V7R1. If you are not on TR6, TLS1.1 and TLS1.2 aren’t even available at V7R1. And it’s not available at all on previous releases. We’ve had clients be notified by their banks that they must be using TLS1.2 exclusively in just a short period of time (as in weeks, not months). If they had not already been running V7R1 and the most current TR, they would have first had to get current before they could proceed with their TLS 1.2 implementation. An OS upgrade would have been required had they been running V5R4 or V6R1!

Fixes/Patches/PTFs

I don’t care what you call them, organizations need to be current with fixes. Many organizations have a fix policy that requires they are down one level of PTFs (or Microsoft patches) from the most current. That’s fine as long as there’s a process in place to keep that N-1 status and you don’t get further behind.

However, I assert that, for hiper and integrity PTFs, you want the most current version. To stay current with PTFs and get notified when a critical security PTF is released, sign up for notifications using your IBM ID at https://www.ibm.com/support/mynotifications. Other areas for which you want to ensure you’re current? Java and anything to do with web technology and open source.

Circling back to using IBM i Access for Windows: If you want to make your connections using TLS1.2 or TLS1.2, you must be at Service Pack SI50567 or higher. For organizations that have a requirement that all communications use these stronger protocols, this is something to be aware of and plan for.

Many of you stay current by applying the latest (or N-1) group PTFs. Determining if you’re on the most recent group PTFs is incredibly easy when you’re on V7R2/R3. Simply run an SQL SELECT statement on the SYSTOOLS.GROUP_PTF_CURRENCY view. The result will be a listing of what’s currently installed and the most recent group PTFs.

Stay Current So Fixes Don’t Break Things

Recently, a security PTF was released that disabled encryption ciphers that were deemed to be weak and, therefore, created vulnerabilities. Many organizations weren’t prepared for this change because they’re still using these old and weak ciphers, so they didn’t apply the PTF. But surprise! The PTF was included in a group PTF, and it was applied anyway. Some organizations had processes break and had to re-enable this cipher. My point is this: If these organizations had not been using this old, weak, and vulnerable cipher, this PTF could have been applied without issue. In fact, you probably would have welcomed the fact that this technology was being disabled because it’s one of those protocols that those intending to do harm could exploit.

Summary

While I realize that it takes time to stay current, I believe it’s a key part of reducing the risk to your organization’s security posture and, very specifically, the risk to your data. I encourage you to invest the time to stay current—not just for items relating to IBM i, but for all of your technology.

BLOG COMMENTS POWERED BY DISQUS